// div.npc-data-label:nth-child(odd) td{
//   background:#ccc;
// }
// div.npc-data-label:nth-child(even) td{
//    background:#fff;
// }

.npc {
    .npc-sheet-header {
        flex: 0 0 64px;
        overflow: hidden;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;
        margin-bottom: 2px;

        img.npc-profile-img {
            flex: 0 0 64px;
            height: 64px;
            width: 64px;
            margin-right: 10px;
        }
    }

    .npc-label {
        font-weight: bold;
        text-transform: uppercase;
    }

    .npc-sheet {
        // background: white;
        padding: 0px;
        margin: 0px;
    }

    .npc-th {
        text-align: left;
        // color:#4169e1;
        font-weight: bold;
    }

    .npc-data-label {
        border: 0.5px groove;
        font-weight: bold;

        margin-top: 0.5px;
        margin-bottom: 0px;
        margin-right: 1px;
        margin-left: 1px;
        padding-left: 2px;
    }

    // CSS for the Create spell list
    .createspelllist-control,
    .createactionlist-control {
        .flexrow {
            display: flex;
            align-items: center;
            margin-bottom: 5px;
        }

        .label-control {
            flex: 0 0 50px; /* Fixed width for label */
            padding-right: 5px;
            text-align: right;
            white-space: nowrap; /* Prevents the label from wrapping */
        }
        // for custom spell type
        .label-control-custom {
            flex: 0 0 80px; /* Fixed width for label */
            padding-right: 5px;
            text-align: left;
            white-space: nowrap; /* Prevents the label from wrapping */
        }
        .input-control {
            flex: 1; /* Takes up the remaining space */
            margin-left: 5px;
        }

        .createspelllist-button,
        .createactions-button {
            cursor: pointer;
            margin-top: 10px;
            width: 100%; /* Optional: Makes the button extend full width */
        }
    }
}

td.npc-data-input,
td.npc-data-label,
th.npc-data-input,
th.npc-data-label {
    padding: 0px;
}

.merchant {
    label {
        padding-right: 3px;
        padding-left: 3px;
    }

    .item {
        overflow: hidden;
    }

    .rollable {
        &:hover,
        &:focus {
            cursor: pointer;
            text-shadow: 0 0 8px red;
        }
    }
    .merchant-controls {
        flex: 0 0 53px;
        flex-grow: 0;
        flex-shrink: 0;
        text-align: right;
    }

    .merchant-information {
        font-size: 1.5em;
    }
    .item-quantity-control {
        margin: auto;
        border: 1px inset rgb(184, 184, 184);
        border-radius: 5px;
    }

    .outlined-text {
        color: white;
        text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000, -2px -2px 0 #000, 2px -2px 0 #000,
            -2px 2px 0 #000, 2px 2px 0 #000, -3px -3px 0 #000, 3px -3px 0 #000, -3px 3px 0 #000, 3px 3px 0 #000;

        font: bolder;
        background-size: cover;
    }
}
